/*
Copyright  2008 Brent Boyer

This program is free software: you can redistribute it and/or modify it under the terms of the GNU Lesser General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the Lesser GNU General Public License for more details.

You should have received a copy of the Lesser GNU General Public License along with this program (see the license directory in this project).  If not, see <http://www.gnu.org/licenses/>.
*/


package bb.gui;


/**
* This interface defines just a single method that an implementor will use to
* update the Swing LookAndFeel to the specified one.
* <p>
* @author Brent Boyer
*/
public interface UpdatableLookAndFeel {
	
	
	/** Updates the Swing LookAndFeel to the specified class name. */
	public void updateLookAndFeel(String lookAndFeelClassName);
	
	
}